## ros-one-nlopt 2.1.31-19jammy.20251023.0750

=== Makefile ===
all: installed

TARBALL = build/nlopt-2.3.tar.gz
TARBALL_URL = http://ab-initio.mit.edu/nlopt/nlopt-2.3.tar.gz
SOURCE_DIR = build/nlopt-2.3
MD5SUM_FILE = nlopt-2.3.tar.gz.md5sum
UNPACK_CMD = tar xzf
DSTDIR = $(PWD)
MK_DIR = $(shell rospack find mk)
include $(MK_DIR)/download_unpack_build.mk

installed: $(SOURCE_DIR)/unpacked
	(cd $(SOURCE_DIR) && ./configure --enable-shared --with-cxx --prefix=$(DSTDIR) CXXFLAGS='-Wno-cpp -Wno-deprecated-declarations -Wno-nonnull -Wno-write-strings' LIBS='-lstdc++' --without-octave && make && make install)
	touch installed
clean:
	-rm -rf include lib share $(SOURCE_DIR) installed

wipe: clean
	-rm -rf build

=== debian/changelog ===
ros-one-nlopt (2.1.31-19jammy.20251023.0750) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Thu, 23 Oct 2025 07:50:47 +0000

ros-one-nlopt (2.1.31-0jammy) jammy; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Tue, 13 May 2025 00:00:00 -0000

ros-one-nlopt (2.1.30-0jammy) jammy; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Sat, 10 May 2025 00:00:00 -0000

ros-one-nlopt (2.1.29-0jammy) jammy; urgency=high

  * nlopt: use nlopt-2.3.tar.gz in 3rdparty/nlopt/build, instead of downloading from mit.edu (#514 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/514>)
  * Contributors: Kei Okada

 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Sun, 05 Jan 2025 00:00:00 -0000

ros-one-nlopt (2.1.28-0jammy) jammy; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Mon, 24 Jul 2023 00:00:00 -0000

ros-one-nlopt (2.1.27-0jammy) jammy; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Sat, 24 Jun 2023 00:00:00 -0000

ros-one-nlopt (2.1.26-0jammy) jammy; urgency=high

  * add LICENSE files (#476 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/476>)
  * Contributors: Kei Okada

 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Wed, 14 Jun 2023 00:00:00 -0000

ros-one-nlopt (2.1.25-0jammy) jammy; urgency=high

  * fix catkin build stacks in GA (#316 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/316>)
    
      * [nlopt] remove compile warning
    
  * Contributors: Kei Okada, Naoya Yamaguchi, Shingo Kitagawa

 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Thu, 08 Jun 2023 00:00:00 -0000

ros-one-nlopt (2.1.24-0jammy) jammy; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Mon, 26 Jul 2021 00:00:00 -0000

ros-one-nlopt (2.1.23-0jammy) jammy; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Wed, 21 Jul 2021 00:00:00 -0000

ros-one-nlopt (2.1.22-0jammy) jammy; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Thu, 10 Jun 2021 00:00:00 -0000

ros-one-nlopt (2.1.21-0jammy) jammy; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Wed, 19 Aug 2020 00:00:00 -0000

ros-one-nlopt (2.1.20-0jammy) jammy; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Fri, 07 Aug 2020 00:00:00 -0000

ros-one-nlopt (2.1.19-0jammy) jammy; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Tue, 21 Jul 2020 00:00:00 -0000

ros-one-nlopt (2.1.18-0jammy) jammy; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Mon, 20 Jul 2020 00:00:00 -0000

ros-one-nlopt (2.1.17-0jammy) jammy; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-nlopt (2.1.16-0jammy) jammy; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-nlopt (2.1.15-0jammy) jammy; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Thu, 12 Dec 2019 00:00:00 -0000

ros-one-nlopt (2.1.14-0jammy) jammy; urgency=high

  * add website to package.xml (#175 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/175>)
    * remove whitespace in <name> section of nlopt/package.xml
  * Contributors: Kei Okada

 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Thu, 21 Nov 2019 00:00:00 -0000

ros-one-nlopt (2.1.13-0jammy) jammy; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Wed, 10 Jul 2019 00:00:00 -0000

ros-one-nlopt (2.1.12-0jammy) jammy; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Sat, 25 May 2019 00:00:00 -0000

ros-one-nlopt (2.1.11-0jammy) jammy; urgency=high

  * add nlopt-extras.cmake to set nlopt_INCLUDE_DIR for https://github.com/jsk-ros-pkg/jsk_control/issues/696 (#153 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/153>)
  * Contributors: Kei Okada

 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Wed, 29 Aug 2018 00:00:00 -0000

ros-one-nlopt (2.1.10-0jammy) jammy; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Wed, 25 Apr 2018 00:00:00 -0000

ros-one-nlopt (2.1.9-0jammy) jammy; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Tue, 24 Apr 2018 00:00:00 -0000

ros-one-nlopt (2.1.8-0jammy) jammy; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Tue, 17 Apr 2018 00:00:00 -0000

ros-one-nlopt (2.1.7-0jammy) jammy; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Mon, 09 Apr 2018 00:00:00 -0000

ros-one-nlopt (2.1.6-0jammy) jammy; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Tue, 21 Nov 2017 00:00:00 -0000

ros-one-nlopt (2.1.5-0jammy) jammy; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Mon, 20 Nov 2017 00:00:00 -0000

ros-one-nlopt (2.1.4-0jammy) jammy; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Sun, 16 Jul 2017 00:00:00 -0000

ros-one-nlopt (2.1.3-0jammy) jammy; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Fri, 07 Jul 2017 00:00:00 -0000

ros-one-nlopt (2.1.2-0jammy) jammy; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Thu, 06 Jul 2017 00:00:00 -0000

ros-one-nlopt (2.1.1-0jammy) jammy; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Wed, 05 Jul 2017 00:00:00 -0000

ros-one-nlopt (2.1.0-0jammy) jammy; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Sun, 02 Jul 2017 00:00:00 -0000

ros-one-nlopt (2.0.20-0jammy) jammy; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Tue, 09 May 2017 00:00:00 -0000

ros-one-nlopt (2.0.19-0jammy) jammy; urgency=high

  * nlopt/CMakeLists.txt: cp .so, .so.0, .so.0.7.0 (#88 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/88>)
  * Contributors: Kei Okada

 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Wed, 22 Feb 2017 00:00:00 -0000

ros-one-nlopt (2.0.18-0jammy) jammy; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Fri, 28 Oct 2016 00:00:00 -0000

ros-one-nlopt (2.0.17-0jammy) jammy; urgency=high





=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-nlopt//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-nlopt 2.1.31-19noble.20251023.0753

=== CMakeLists.txt ===
project(nlopt)

cmake_minimum_required(VERSION 2.4.6)

find_package(catkin REQUIRED COMPONENTS mk)

add_custom_target(libnlopt_cxx ALL
  DEPENDS ${CATKIN_DEVEL_PREFIX}/lib/libnlopt_cxx.so)
add_custom_command(OUTPUT
  ${CATKIN_DEVEL_PREFIX}/lib/libnlopt_cxx.so
  COMMAND mkdir -p ${CMAKE_CURRENT_BINARY_DIR}/build
  COMMAND cp ${PROJECT_SOURCE_DIR}/build/nlopt-2.3.tar.gz ${CMAKE_CURRENT_BINARY_DIR}/build
  COMMAND cp ${PROJECT_SOURCE_DIR}/nlopt-2.3.tar.gz.md5sum ${CMAKE_CURRENT_BINARY_DIR}
  COMMAND mkdir -p ${CMAKE_CURRENT_BINARY_DIR}/tmp
  COMMAND cmake -E chdir ${CMAKE_CURRENT_BINARY_DIR} make -f ${PROJECT_SOURCE_DIR}/Makefile DSTDIR=${CMAKE_CURRENT_BINARY_DIR}/tmp MK_DIR=${mk_PREFIX}/share/mk
  # copy nlopt.h and nlopt.hpp
  COMMAND mkdir -p  ${CATKIN_DEVEL_PREFIX}/include/nlopt
  COMMAND cp -r ${CMAKE_CURRENT_BINARY_DIR}/tmp/include/* ${CATKIN_DEVEL_PREFIX}/include/nlopt
  # copy libnlopt
  COMMAND cp -a ${CMAKE_CURRENT_BINARY_DIR}/tmp/lib/*.so* ${CATKIN_DEVEL_PREFIX}/lib/
  COMMAND cp -r ${CMAKE_CURRENT_BINARY_DIR}/tmp/share ${CATKIN_DEVEL_PREFIX}/share/
  DEPENDS Makefile)

catkin_package(
    DEPENDS
    CATKIN_DEPENDS
    INCLUDE_DIRS
    LIBRARIES nlopt_cxx
    EXPORTED_TARGETS libnlopt_cxx
    CFG_EXTRAS nlopt-extras.cmake
)

# set(NLOPTDIR ${CATKIN_PACKAGE_SHARE_DESTINATION}/jskeus/eus)
# install(CODE "message(\"-- Force change Cflags of \$ENV{DESTDIR}/\${CMAKE_INSTALL_PREFIX}/${CATKIN_PACKAGE_LIB_DESTINATION}/pkgconfig/euslisp.pc \$ENV{DESTDIR}/\${CMAKE_INSTALL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION}/cmake/\${PROJECT_NAME}Config.cmake\") execute_process(COMMAND sed -i s@\${CMAKE_INSTALL_PREFIX}/include@\${CMAKE_INSTALL_PREFIX}/${EUSDIR}/include@ \$ENV{DESTDIR}/\${CMAKE_INSTALL_PREFIX}/${CATKIN_PACKAGE_LIB_DESTINATION}/pkgconfig/euslisp.pc \$ENV{DESTDIR}/\${CMAKE_INSTALL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION}/cmake/${PROJECT_NAME}Config.cmake)")

# install(DIRECTORY lib
#   DESTINATION ${EUSDIR}/lib
#   FILES_MATCHING PATTERN "*.l" PATTERN ".svn" EXCLUDE
# )

# install(DIRECTORY test
#   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
#   USE_SOURCE_PERMISSIONS
#   )

install(DIRECTORY ${CATKIN_DEVEL_PREFIX}/include/nlopt/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(DIRECTORY ${CATKIN_DEVEL_PREFIX}/lib/
  DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  FILES_MATCHING PATTERN "*nlopt*")

install(DIRECTORY ${CATKIN_DEVEL_PREFIX}/share/nlopt/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-one-nlopt (2.1.31-19noble.20251023.0753) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Thu, 23 Oct 2025 07:53:22 +0000

ros-one-nlopt (2.1.31-0noble) noble; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Tue, 13 May 2025 00:00:00 -0000

ros-one-nlopt (2.1.30-0noble) noble; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Sat, 10 May 2025 00:00:00 -0000

ros-one-nlopt (2.1.29-0noble) noble; urgency=high

  * nlopt: use nlopt-2.3.tar.gz in 3rdparty/nlopt/build, instead of downloading from mit.edu (#514 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/514>)
  * Contributors: Kei Okada

 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Sun, 05 Jan 2025 00:00:00 -0000

ros-one-nlopt (2.1.28-0noble) noble; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Mon, 24 Jul 2023 00:00:00 -0000

ros-one-nlopt (2.1.27-0noble) noble; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Sat, 24 Jun 2023 00:00:00 -0000

ros-one-nlopt (2.1.26-0noble) noble; urgency=high

  * add LICENSE files (#476 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/476>)
  * Contributors: Kei Okada

 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Wed, 14 Jun 2023 00:00:00 -0000

ros-one-nlopt (2.1.25-0noble) noble; urgency=high

  * fix catkin build stacks in GA (#316 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/316>)
    
      * [nlopt] remove compile warning
    
  * Contributors: Kei Okada, Naoya Yamaguchi, Shingo Kitagawa

 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Thu, 08 Jun 2023 00:00:00 -0000

ros-one-nlopt (2.1.24-0noble) noble; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Mon, 26 Jul 2021 00:00:00 -0000

ros-one-nlopt (2.1.23-0noble) noble; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Wed, 21 Jul 2021 00:00:00 -0000

ros-one-nlopt (2.1.22-0noble) noble; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Thu, 10 Jun 2021 00:00:00 -0000

ros-one-nlopt (2.1.21-0noble) noble; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Wed, 19 Aug 2020 00:00:00 -0000

ros-one-nlopt (2.1.20-0noble) noble; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Fri, 07 Aug 2020 00:00:00 -0000

ros-one-nlopt (2.1.19-0noble) noble; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Tue, 21 Jul 2020 00:00:00 -0000

ros-one-nlopt (2.1.18-0noble) noble; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Mon, 20 Jul 2020 00:00:00 -0000

ros-one-nlopt (2.1.17-0noble) noble; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-nlopt (2.1.16-0noble) noble; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-nlopt (2.1.15-0noble) noble; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Thu, 12 Dec 2019 00:00:00 -0000

ros-one-nlopt (2.1.14-0noble) noble; urgency=high

  * add website to package.xml (#175 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/175>)
    * remove whitespace in <name> section of nlopt/package.xml
  * Contributors: Kei Okada

 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Thu, 21 Nov 2019 00:00:00 -0000

ros-one-nlopt (2.1.13-0noble) noble; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Wed, 10 Jul 2019 00:00:00 -0000

ros-one-nlopt (2.1.12-0noble) noble; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Sat, 25 May 2019 00:00:00 -0000

ros-one-nlopt (2.1.11-0noble) noble; urgency=high

  * add nlopt-extras.cmake to set nlopt_INCLUDE_DIR for https://github.com/jsk-ros-pkg/jsk_control/issues/696 (#153 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/153>)
  * Contributors: Kei Okada

 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Wed, 29 Aug 2018 00:00:00 -0000

ros-one-nlopt (2.1.10-0noble) noble; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Wed, 25 Apr 2018 00:00:00 -0000

ros-one-nlopt (2.1.9-0noble) noble; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Tue, 24 Apr 2018 00:00:00 -0000

ros-one-nlopt (2.1.8-0noble) noble; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Tue, 17 Apr 2018 00:00:00 -0000

ros-one-nlopt (2.1.7-0noble) noble; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Mon, 09 Apr 2018 00:00:00 -0000

ros-one-nlopt (2.1.6-0noble) noble; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Tue, 21 Nov 2017 00:00:00 -0000

ros-one-nlopt (2.1.5-0noble) noble; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Mon, 20 Nov 2017 00:00:00 -0000

ros-one-nlopt (2.1.4-0noble) noble; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Sun, 16 Jul 2017 00:00:00 -0000

ros-one-nlopt (2.1.3-0noble) noble; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Fri, 07 Jul 2017 00:00:00 -0000

ros-one-nlopt (2.1.2-0noble) noble; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Thu, 06 Jul 2017 00:00:00 -0000

ros-one-nlopt (2.1.1-0noble) noble; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Wed, 05 Jul 2017 00:00:00 -0000

ros-one-nlopt (2.1.0-0noble) noble; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Sun, 02 Jul 2017 00:00:00 -0000

ros-one-nlopt (2.0.20-0noble) noble; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Tue, 09 May 2017 00:00:00 -0000

ros-one-nlopt (2.0.19-0noble) noble; urgency=high

  * nlopt/CMakeLists.txt: cp .so, .so.0, .so.0.7.0 (#88 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/88>)
  * Contributors: Kei Okada

 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Wed, 22 Feb 2017 00:00:00 -0000

ros-one-nlopt (2.0.18-0noble) noble; urgency=high



 -- Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>  Fri, 28 Oct 2016 00:00:00 -0000

ros-one-nlopt (2.0.17-0noble) noble; urgency=high





=== debian/control ===
Source: ros-one-nlopt
Section: misc
Priority: optional
Maintainer: Noda Shintaro <s-noda@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), libltdl-dev, libtool, libtool-bin, ros-one-catkin, ros-one-cmake-modules, ros-one-mk, ros-one-rosbuild, ros-one-rospack
Homepage: http://ros.org/wiki/nlopt
Standards-Version: 3.9.2

Package: ros-one-nlopt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: nlopt
